Package net.snowflake.client.jdbc

## Enum SnowflakeType.JavaDataType

- java.lang.Object
- - java.lang.Enum<SnowflakeType.JavaDataType>
  - - net.snowflake.client.jdbc.SnowflakeType.JavaDataType

All Implemented Interfaces:
  `Serializable`, `Comparable<SnowflakeType.JavaDataType>`

Enclosing class:
  SnowflakeType

    public static enum SnowflakeType.JavaDataType
    extends Enum<SnowflakeType.JavaDataType>

### Enum Constant Summary

Enum Constants
`JAVA_BIGDECIMAL`
`JAVA_BOOLEAN`
`JAVA_BYTES`
`JAVA_DOUBLE`
`JAVA_LONG`
`JAVA_OBJECT`
`JAVA_STRING`
`JAVA_TIMESTAMP`

### Method Summary

All Methods Static Methods Concrete Methods
`static SnowflakeType.JavaDataType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SnowflakeType.JavaDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JAVA_STRING

    public static final SnowflakeType.JavaDataType JAVA_STRING

#### JAVA_LONG

    public static final SnowflakeType.JavaDataType JAVA_LONG

#### JAVA_DOUBLE

    public static final SnowflakeType.JavaDataType JAVA_DOUBLE

#### JAVA_BIGDECIMAL

    public static final SnowflakeType.JavaDataType JAVA_BIGDECIMAL

#### JAVA_TIMESTAMP

    public static final SnowflakeType.JavaDataType JAVA_TIMESTAMP

#### JAVA_BYTES

    public static final SnowflakeType.JavaDataType JAVA_BYTES

#### JAVA_BOOLEAN

    public static final SnowflakeType.JavaDataType JAVA_BOOLEAN

#### JAVA_OBJECT

    public static final SnowflakeType.JavaDataType JAVA_OBJECT

### Method Detail

#### values

    public static SnowflakeType.JavaDataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnowflakeType.JavaDataType c : SnowflakeType.JavaDataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnowflakeType.JavaDataType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null